{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/optionL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.option.category.{$category.categoryName}{/lang}</h2>
		<p>{lang}wcf.acp.option.category.{$category.categoryName}.description{/lang}</p>
	</div>
</div>

{if $success|isset}
	<p class="success">{lang}wcf.acp.option.success{/lang}</p>
{/if}

{if $errorField}
	<p class="error">{lang}wcf.global.form.error{/lang}</p>
{/if}

<form method="post" action="index.php?form=Option">
	<div class="border content">
		<div class="container-1">
			{foreach from=$options item=superCategory}
				<fieldset>
					<legend>{lang}wcf.acp.option.category.{$superCategory.categoryName}{/lang}</legend>
					<p class="description">{lang}wcf.acp.option.category.{$superCategory.categoryName}.description{/lang}</p>
					{include file='optionFieldList' options=$superCategory.options langPrefix='wcf.acp.option.'}
				</fieldset>
			{/foreach}
			
			{if $additionalFields|isset}{@$additionalFields}{/if}
		</div>
	</div>
	
	<div class="formSubmit">
		<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
		<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
		<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
 		{@SID_INPUT_TAG}
 		<input type="hidden" name="categoryID" value="{@$category.categoryID}" />
	</div>
</form>

{include file='footer'}