{include file='header'}
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/MultiPagesLinks.class.js"></script>
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/AjaxRequest.class.js"></script>
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}js/InlineListEdit.class.js"></script>
<script type="text/javascript" src="{@RELATIVE_WCF_DIR}acp/js/UserListEdit.class.js"></script>
<script type="text/javascript">
	//<![CDATA[
	// data array
	var userData = new Array();
	var url = '{@$url|encodeJS}';
	
	// language
	var language = new Object();
	language['wcf.global.button.mark']		= '{lang}wcf.global.button.mark{/lang}';
	language['wcf.global.button.unmark']		= '{lang}wcf.global.button.unmark{/lang}';
	language['wcf.global.button.delete']		= '{lang}wcf.global.button.delete{/lang}';
	language['wcf.acp.user.button.sendMail']	= '{lang}wcf.acp.user.button.sendMail{/lang}';
	language['wcf.acp.user.button.exportMail']	= '{lang}wcf.acp.user.button.exportMail{/lang}';
	language['wcf.acp.user.button.assignGroup']	= '{lang}wcf.acp.user.button.assignGroup{/lang}';
	language['wcf.acp.user.deleteMarked.sure']	= '{lang}wcf.acp.user.deleteMarked.sure{/lang}';
	language['wcf.acp.user.delete.sure']		= '{lang}wcf.acp.user.delete.sure{/lang}';
	language['wcf.acp.user.markedUsers']		= '{lang}wcf.acp.user.markedUsers{/lang}';
	
	// additional options
	var additionalOptions = new Array();
	var additionalUserOptions = new Array();
	{if $additionalMarkedOptions|isset}{@$additionalMarkedOptions}{/if}
	
	// permissions
	var permissions = new Object();
	permissions['canEditUser'] = {if $this->user->getPermission('admin.user.canEditUser')}1{else}0{/if};
	permissions['canDeleteUser'] = {if $this->user->getPermission('admin.user.canDeleteUser')}1{else}0{/if};
	permissions['canMailUser'] = {if $this->user->getPermission('admin.user.canMailUser')}1{else}0{/if};
	permissions['canEditMailAddress'] = {if $this->user->getPermission('admin.user.canEditMailAddress')}1{else}0{/if};
	permissions['canEditPassword'] = {if $this->user->getPermission('admin.user.canEditPassword')}1{else}0{/if};
	
	onloadEvents.push(function() { userListEdit = new UserListEdit(userData, {@$markedUsers}, additionalUserOptions, additionalOptions); });
	//]]>
</script>

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/{if $searchID}userSearch{else}users{/if}L.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.user.{if $searchID}search{else}list{/if}{/lang}</h2>
	</div>
</div>

{if $users|count}
	{assign var=encodedURL value=$url|rawurlencode}
	<div class="contentHeader">
		{pages print=true assign=pagesLinks link="index.php?page=UserList&pageNo=%d&searchID=$searchID&sortField=$sortField&sortOrder=$sortOrder&packageID="|concat:PACKAGE_ID:SID_ARG_2ND_NOT_ENCODED}
		
		<div class="largeButtons">
			<ul>
				{if $this->user->getPermission('admin.user.canAddUser')}
					<li><a href="index.php?form=UserAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/userAddM.png" alt="" title="{lang}wcf.acp.user.add{/lang}" /> <span>{lang}wcf.acp.user.add{/lang}</span></a></li>
				{/if}
				<li><a href="index.php?form=UserSearch&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/searchM.png" alt="" title="{lang}wcf.acp.user.search{/lang}" /> <span>{lang}wcf.acp.user.search{/lang}</span></a></li>
			</ul>
		</div>
	</div>
	
	<div class="border">
		<div class="containerHead"><h3>{if $searchID}{lang}wcf.acp.user.search.matches{/lang}{else}{lang}wcf.acp.user.list.count{/lang}{/if}</h3></div>
	</div>	
	<div class="border borderMarginRemove">
		<table class="tableList">
			<thead>
				<tr class="tableHead">
					<th class="columnMarkUsers"><div><label class="emptyHead"><input name="userMarkAll" type="checkbox" /></label></div></th>
					<th class="columnUserID{if $sortField == 'userID'} active{/if}" colspan="2"><div><a href="index.php?page=UserList&amp;searchID={@$searchID}&amp;pageNo={@$pageNo}&amp;sortField=userID&amp;sortOrder={if $sortField == 'userID' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wcf.user.userID{/lang}{if $sortField == 'userID'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					<th class="columnUsername{if $sortField == 'username'} active{/if}"><div><a href="index.php?page=UserList&amp;searchID={@$searchID}&amp;pageNo={@$pageNo}&amp;sortField=username&amp;sortOrder={if $sortField == 'username' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wcf.user.username{/lang}{if $sortField == 'username'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					{if $this->user->getPermission('admin.user.canMailUser')}<th class="columnEmail{if $sortField == 'email'} active{/if}"><div><a href="index.php?page=UserList&amp;searchID={@$searchID}&amp;pageNo={@$pageNo}&amp;sortField=email&amp;sortOrder={if $sortField == 'email' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wcf.user.email{/lang}{if $sortField == 'email'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>{/if}
					<th class="columnRegistrationDate{if $sortField == 'registrationDate'} active{/if}"><div><a href="index.php?page=UserList&amp;searchID={@$searchID}&amp;pageNo={@$pageNo}&amp;sortField=registrationDate&amp;sortOrder={if $sortField == 'registrationDate' && $sortOrder == 'ASC'}DESC{else}ASC{/if}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{lang}wcf.user.registrationDate{/lang}{if $sortField == 'registrationDate'} <img src="{@RELATIVE_WCF_DIR}icon/sort{@$sortOrder}S.png" alt="" />{/if}</a></div></th>
					
					{if $additionalColumns|isset}{@$additionalColumns}{/if}
				</tr>
			</thead>
			<tbody>
			{foreach from=$users item=user}
				<tr class="{cycle values="container-1,container-2" advance=false}" id="userRow{@$user.userID}">
					<td class="columnMarkUsers"><input name="userMark" id="userMark{@$user.userID}" type="checkbox" value="{@$user.userID}" /></td>
					<td class="columnIcon">
						<script type="text/javascript">
							//<![CDATA[
							userData[{@$user.userID}] = new Object();
							userData[{@$user.userID}]['isMarked'] = {@$user.isMarked};
							userData[{@$user.userID}]['class'] = '{cycle values="container-1,container-2"}';
							//]]>
						</script>
						
						{if $user.editable}
							<a href="index.php?form=UserEdit&amp;userID={@$user.userID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/editS.png" alt="" title="{lang}wcf.acp.user.edit{/lang}" /></a>
						{else}
							<img src="{@RELATIVE_WCF_DIR}icon/editDisabledS.png" alt="" title="{lang}wcf.acp.user.edit{/lang}" />
						{/if}
						{if $user.deletable}
							<a onclick="return confirm('{lang}wcf.acp.user.delete.sure{/lang}')" href="index.php?action=UserDelete&amp;userID={@$user.userID}&amp;url={@$encodedURL}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/deleteS.png" alt="" title="{lang}wcf.acp.user.delete{/lang}" /></a>
						{else}
							<img src="{@RELATIVE_WCF_DIR}icon/deleteDisabledS.png" alt="" title="{lang}wcf.acp.user.delete{/lang}" />
						{/if}
						
						{if $user.additionalButtons|isset}{@$user.additionalButtons}{/if}
					</td>
					<td class="columnUserID columnID">{@$user.userID}</td>
					<td class="columnUsername columnText">{if $user.editable}<a title="{lang}wcf.acp.user.edit{/lang}" href="index.php?form=UserEdit&amp;userID={@$user.userID}&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}">{$user.username}</a>{else}{$user.username}{/if}</td>
					{if $this->user->getPermission('admin.user.canMailUser')}<td class="columnEmail columnText"><a href="mailto:{$user.email}">{$user.email}</a></td>{/if}
					<td class="columnRegistrationDate columnDate">{@$user.registrationDate|date}</td>
					
					{if $user.additionalColumns|isset}{@$user.additionalColumns}{/if}
				</tr>
			{/foreach}
			</tbody>
		</table>
	</div>
	<div class="contentFooter">
		{@$pagesLinks} <div id="userEditMarked" class="optionButtons"></div>
		
		<div class="largeButtons">
			<ul>
				{if $this->user->getPermission('admin.user.canAddUser')}
					<li><a href="index.php?form=UserAdd&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/userAddM.png" alt="" title="{lang}wcf.acp.user.add{/lang}" /> <span>{lang}wcf.acp.user.add{/lang}</span></a></li>
				{/if}
				<li><a href="index.php?form=UserSearch&amp;packageID={@PACKAGE_ID}{@SID_ARG_2ND}"><img src="{@RELATIVE_WCF_DIR}icon/searchM.png" alt="" title="{lang}wcf.acp.user.search{/lang}" /> <span>{lang}wcf.acp.user.search{/lang}</span></a></li>
			</ul>
		</div>
	</div>
{/if}

{include file='footer'}