<?php
require_once(WCF_DIR.'lib/acp/option/OptionType.class.php');

/**
 * Any group permission type should implement this interface.
 *
 * @package	com.woltlab.wcf.acp.group
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
interface GroupOptionType extends OptionType {
	/**
	 * Merges the different values of an option to one single value.
	 * 
	 * @param	array		$values
	 * @return	mixed		$value
	 */
	public function merge($values);
}
?>