<?php
require_once(WCF_DIR.'lib/data/DatabaseObject.class.php');

/**
 * Represents an user option.
 * 
 * @package	com.woltlab.wcf.data.user.option
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class UserOption extends DatabaseObject {
	/**
	 * Creates a new UserOption object.
	 * 
	 * @param	integer		$optionID
	 * @param	array		$row
	 */
	public function __construct($optionID, $row = null) {
		if ($optionID !== null) {
			$sql = "SELECT	*
				FROM	wcf".WCF_N."_user_option
				WHERE	optionID = ".$optionID;
			$row = WCF::getDB()->getFirstRow($sql);
		}
		
		parent::__construct($row);
	}
}
?>