<?php
/**
 * A CacheBuilder provides data to the CacheHandler that ought to be cached.
 * 
 * @package	com.woltlab.wcf.system.cache
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
interface CacheBuilder {
	/**
	 * Returns the data that ought to be cached.
	 *
	 * @param 	array 		$cacheResource
	 * @return 	array 		$data
	 */
	public function getData($cacheResource);
}
?>