<?php
// imports
require_once(WCF_DIR.'lib/system/cache/CacheBuilder.class.php');

/**
 * Caches the list of search engine spiders.
 * 
 * @package	com.woltlab.wcf.system.cache
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class CacheBuilderSpiders implements CacheBuilder {
	/**
	 * @see CacheBuilder::getData()
	 */
	public function getData($cacheResource) {
		$data = array();
		
		// get spiders
		$sql = "SELECT 		*
			FROM		wcf".WCF_N."_spider
			ORDER BY	spiderID";
		$result = WCF::getDB()->sendQuery($sql);
		while ($row = WCF::getDB()->fetchArray($result)) {
			$data[$row['spiderID']] = $row;
		}
		
		return $data;
	}
}
?>