<?php
/**
 * EventListeners can be registered for a specific event in many controller objects.
 * 
 * @package	com.woltlab.wcf.system.event
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
interface EventListener {
	/**
	 * Executes this action.
	 * 
	 * @param	object		$eventObj
	 * @param	string		$className
	 * @param	string		$eventName
	 */
	public function execute($eventObj, $className, $eventName);
}
?>