<?php
require_once(WCF_DIR.'lib/system/exception/NamedUserException.class.php');

/**
 * IllegalLinkException shows the unknown link error page.
 * 
 * @package	com.woltlab.wcf.system.exception
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class IllegalLinkException extends NamedUserException {
	/**
	 * Creates a new IllegalLinkException object.
	 */
	public function __construct() {
		parent::__construct(WCF::getLanguage()->get('wcf.global.error.illegalLink'));
	}
}
?>