<?php
// imports
if (!defined('NO_IMPORTS')) {
	require_once(WCF_DIR.'lib/system/exception/UserException.class.php');
}

/**
 * A PermissionDeniedException is thrown when an user has no permission to access to a specific area.
 * 
 * @package	com.woltlab.wcf.system.exception
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class PermissionDeniedException extends UserException {
	/**
	 * Prints a permission denied exception.
	 */
	public function show() {
		WCF::getTPL()->display('permissionDenied');
	}
}
?>