<?php
require_once(WCF_DIR.'lib/system/setup/Uninstaller.class.php');

/**
 * FileUninstaller is an implementation of Uninstaller.
 * It uses simple file operations to delete files and directories.
 * 
 * @package 	com.woltlab.wcf.system.setup
 * @author	Benjamin Kunz
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
class FileUninstaller extends Uninstaller {
	/**
	 * @see Uninstaller::deleteFile()
	 */
	protected function deleteFile($file) {
		@unlink($file);
	}
	
	/**
	 * @see Uninstaller::deleteDir()
	 */
	protected function deleteDir($dir) {
		@rmdir($dir);
	}
}
?>