{include file='setupWindowHeader'}

<form method="post" action="index.php?page=Package">
	<fieldset>
		<legend>{lang}wcf.acp.package.packageDir{/lang}</legend>
		<div class="inner">	
			<p>{lang}wcf.acp.package.packageDir.description{/lang}</p>
			
			{if $errorField}
				<p class="error">
					{if $errorType == 'wcfDirLocked'}{lang}wcf.acp.package.packageDir.error.wcfDirLocked{/lang}{/if}
					{if $errorType == 'alreadyInstalled'}{lang}wcf.acp.package.packageDir.error.alreadyInstalled{/lang}{/if}
					{if $errorType == 'notWritable'}{lang}wcf.acp.package.packageDir.error.notWritable{/lang}{/if}
				</p>
			{/if}
			
			<div{if $errorField} class="errorField"{/if}>
				<label for="packageDir">{lang}wcf.acp.package.packageDir.input{/lang}</label>
				<input type="text" class="inputText" id="packageDir" name="packageDir" value="{$packageDir}" />
			</div>
			
			<input type="hidden" name="queueID" value="{@$queueID}" />
			<input type="hidden" name="action" value="{@$action}" />
			{@SID_INPUT_TAG}
			<input type="hidden" name="step" value="{@$step}" />
			<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
			<input type="hidden" name="send" value="send" />
		</div>
	</fieldset>
	
	<div class="nextButton">
		<input type="submit" value="{lang}wcf.global.button.next{/lang}" />
	</div>
</form>

<script type="text/javascript">
	//<![CDATA[
	parent.showWindow(true);
	parent.setCurrentStep('{lang}wcf.acp.package.step.title{/lang}{lang}wcf.acp.package.step.{if $action == 'rollback'}uninstall{else}{@$action}{/if}.{@$step}{/lang}');
	//]]>
</script>

{include file='setupWindowFooter'}