{include file='header'}

<div class="mainHeadline">
	<img src="{@RELATIVE_WCF_DIR}icon/packageUpdateL.png" alt="" />
	<div class="headlineContainer">
		<h2>{lang}wcf.acp.packageUpdate{/lang}</h2>
	</div>
</div>

{if $errorField}
	{if $errorType === 'empty'}
		<p class="error">{lang}wcf.acp.packageUpdate.noneSelected{/lang}</p>
	{else}
		<p class="error">{lang}wcf.acp.packageUpdate.error{/lang} {$errorType->getMessage()} ({@$errorType->getCode()})</p>
		<!-- {$errorType->getTraceAsString()} -->
	{/if}
{/if}

{if $packageInstallationStack|count}
	<form method="post" action="index.php?form=PackageUpdate">
		<div class="border content">
			<div class="container-1">
				<fieldset>
					<legend>{lang}wcf.acp.packageUpdate.updates{/lang}</legend>
					
					<ul>
						{foreach from=$packageInstallationStack item=package}
							<li>
								{if $package.action == 'install'}
									{lang}wcf.acp.packageUpdate.install{/lang}
								{else}
									{lang}wcf.acp.packageUpdate.update{/lang}
								{/if}
							</li>
						{/foreach}
					</ul>
				</fieldset>
			</div>
		</div>
		
		<div class="formSubmit">
			<input type="submit" accesskey="s" value="{lang}wcf.global.button.submit{/lang}" />
			<input type="reset" accesskey="r" value="{lang}wcf.global.button.reset{/lang}" />
			<input type="hidden" name="packageID" value="{@PACKAGE_ID}" />
	 		{@SID_INPUT_TAG}
	 		<input type="hidden" name="send" value="1" />
	 		
	 		{foreach from=$updates key=package item=version}
	 			<input type="hidden" name="updates[{$package}]" value="{$version}" />
	 		{/foreach}
		</div>
	</form>
{/if}


{include file='footer'}
