<?php
/**
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
// set exception handler
set_exception_handler(array('WCF', 'handleException'));

// set php error handler
set_error_handler(array('WCF', 'handleError'), E_ALL);

// set shutdown function
register_shutdown_function(array('WCF', 'destruct'));

function escapeString($string) {
	return WCF::getDB()->escapeString($string);
}

/**
 * Loads the required util classes automatically.
 * 
 * @param 	string		$className
 */
function __autoload($className) {
	// test whether the file exist
	if (file_exists(WCF_DIR . 'lib/util/' . $className . '.class.php')) {
		// include file
		require_once(WCF_DIR . 'lib/util/' . $className . '.class.php');
		//throw new SystemException('Unable to find class ' . $className . ' in ' . WCF_DIR . 'lib/util/');
	}
}
?>