<?php
if (!defined('NO_IMPORTS')) {
	require_once(WCF_DIR.'lib/system/exception/PrintableException.class.php');
}

/**
 * An UserException is thrown when an user gives false input data.
 * 
 * @package	com.woltlab.wcf.system.exception
 * @author	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
abstract class UserException extends Exception implements PrintableException {
	/**
	 * Prints this exception.
	 * This method is called by WCF::handleException().
	 */
	public function show() {
		echo '<pre>' . $this->getTraceAsString() . '</pre>';
	}
}
?>