<?php
// imports
if (!defined('NO_IMPORTS')) {
	require_once(WCF_DIR.'lib/system/template/TemplateCompiler.class.php');
}

/**
 * Prefilters are used to process the source of the template immediately before compilation.
 * 
 * @package	com.woltlab.wcf.system.template
 * @author 	Marcel Werk
 * @copyright	2001-2007 WoltLab GmbH
 * @license	GNU Lesser General Public License <http://opensource.org/licenses/lgpl-license.php>
 */
interface TemplatePluginPrefilter {
	/**
	 * Executes this prefilter.
	 * 
	 * @param	string			$sourceContent	
	 * @param	TemplateCompiler 	$compiler	
	 * @return 	string			$sourceContent
	 */
	public function execute($sourceContent, TemplateCompiler $compiler);
}
?>